# Generated by Django 4.2.5 on 2023-09-20 06:52

from django.db import migrations, models
import wagtail_all_in_one_accessibility.models


class Migration(migrations.Migration):
    dependencies = [
        (
            "wagtail_all_in_one_accessibility",
            "0044_alter_wagtail_all_in_one_accessibility_aioa_icon_size_and_more",
        ),
    ]

    operations = [
        migrations.AlterField(
            model_name="wagtail_all_in_one_accessibility",
            name="aioa_icon_size",
            field=models.CharField(
                blank=True,
                default=(
                    "aioa-medium-icon",
                    '<img src="https://skynettechnologies.com/sites/default/files/python/aioa-icon-type-1.svg" width="65" height="65" />',
                ),
                max_length=1000,
                verbose_name="Icon Size For Desktop",
            ),
        ),
        migrations.AlterField(
            model_name="wagtail_all_in_one_accessibility",
            name="aioa_license_Key",
            field=models.CharField(
                blank=True,
                max_length=150,
                validators=[wagtail_all_in_one_accessibility.models.validate_token],
                verbose_name="License Key",
            ),
        ),
        migrations.AlterField(
            model_name="wagtail_all_in_one_accessibility",
            name="aioa_mobile",
            field=models.CharField(
                blank=True,
                default=(
                    "aioa-medium-icon",
                    '<img src="https://skynettechnologies.com/sites/default/files/python/aioa-icon-type-1.svg" width="65" height="65" />',
                ),
                max_length=1000,
                verbose_name="Icon Size For Mobile",
            ),
        ),
        migrations.AlterField(
            model_name="wagtail_all_in_one_accessibility",
            name="aioa_text",
            field=models.CharField(
                blank=True,
                help_text="    \n    <script>\n    const sizeOptions = document.querySelectorAll('input[name=\"aioa_icon_size\"]');\n    const sizeOptionsImg = document.querySelectorAll('.csticontype');\n    const typeOptions = document.querySelectorAll('input[name=\"aioa_icon_type\"]');\n    typeOptions.forEach(option => {\n        option.addEventListener(\"click\", (event) => {\n            sizeOptionsImg.forEach(option2 => {\n                var ico_type = document.querySelector('input[name=\"aioa_icon_type\"]:checked').value;\n                option2.setAttribute(\"src\", \"https://skynettechnologies.com/sites/default/files/python/\" + ico_type + \".svg\");\n            });\n        });\n    });\n</script>\n<style>\n\n#id_aioa_icon_type,\n#id_aioa_icon_size,\n#id_aioa_mobile {\n  display: flex;\n  flex-wrap: wrap;\n  margin-left: -12px;\n  margin-right: -12px;\n}\n#id_aioa_icon_type > div,\n#id_aioa_icon_size > div,\n#id_aioa_mobile > div {\n  width: 130px;\n  height: 130px;\n  margin-left: 12px;\n  margin-right: 12px;\n}\n#id_aioa_icon_type > div label,\n#id_aioa_icon_size > div label,\n#id_aioa_mobile > div label {\n  position: relative;\n  height: 100%;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  text-align: center;\n  background-color: #fff;\n  outline: 4px solid #fff;\n  outline-offset: -4px;\n  border-radius: 10px;\n}\n#id_aioa_icon_type > div label img, #id_aioa_icon_size > div label img, #id_aioa_mobile > div label img {\n  position: absolute;\n}\n#id_aioa_icon_type > div label input,\n#id_aioa_icon_size > div label input,\n#id_aioa_mobile > div label input {\n  width: 100%;\n  height: 100%;\n  left: 50%;\n  top: 50%;\n  appearance: none;\n  border-radius: 10px;\n  transform: translate(-50%, -50%);\n  margin-right: 0;\n}\n#id_aioa_icon_type > div label input::before,\n#id_aioa_icon_size > div label input::before,\n#id_aioa_mobile > div label input::before {\n  content: none;\n  display: none;\n}\n#id_aioa_icon_type > div label input:checked,\n#id_aioa_icon_size > div label input:checked,\n#id_aioa_mobile > div label input:checked {\n  box-shadow: 0 0 0 3px #8bcd55;\n}\n#id_aioa_icon_type > div label:hover,\n#id_aioa_icon_size > div label:hover,\n#id_aioa_mobile > div label:hover,\n#id_aioa_icon_type > div label input:hover,\n#id_aioa_icon_size > div label input:hover,\n#id_aioa_mobile > div label input:hover{\n  cursor: pointer\n}\n\n</style>\n<script>\n      if(document.querySelector(\"#id_aioa_license_Key\").value != ' ')\n      {\n          document.querySelector('section[id=\"panel-aioa_icon_type-section\"]').style.display='block';\n          document.querySelector('section[id=\"panel-aioa_icon_size-section\"]').style.display='block';\n          document.querySelector('section[id=\"panel-aioa_place-section\"]').style.display='block';\n          document.querySelector('section[id=\"panel-aioa_color_code-section\"]').style.display='block';\n          document.querySelector('h2[id=\"panel-aioa_icon_size-heading\"]').style.display='block';\n          document.querySelector('label[id=\"id_aioa_mobile-label\"]').style.display='block';\n          document.querySelector('button[aria-describedby=\"panel-aioa_icon_type-heading\"]').style.display='block';\n          document.querySelector('button[aria-describedby=\"panel-aioa_icon_size-heading\"]').style.display='block';\n          document.querySelector('button[aria-describedby=\"panel-aioa_mobile-heading\"]').style.display='block';\n\n      }\n      else\n      {\n          document.querySelector('section[id=\"panel-aioa_icon_type-section\"]').style.display='none';\n          document.querySelector('section[id=\"panel-aioa_icon_size-section\"]').style.display='none';\n          document.querySelector('section[id=\"panel-aioa_place-section\"]').style.display='none';\n          document.querySelector('section[id=\"panel-aioa_color_code-section\"]').style.display='none';\n          document.querySelector('h2[id=\"panel-aioa_icon_size-heading\"]').style.display='none';\n          document.querySelector('label[id=\"id_aioa_mobile-label\"]').style.display='none';\n          document.querySelector('button[aria-describedby=\"panel-aioa_icon_type-heading\"]').style.display='none';\n          document.querySelector('button[aria-describedby=\"panel-aioa_icon_size-heading\"]').style.display='none';\n          document.querySelector('button[aria-describedby=\"panel-aioa_mobile-heading\"]').style.display='none';\n\n      }\n      </script>\n",
                max_length=150,
                verbose_name="",
            ),
        ),
    ]
